diff --git a/src/main/java/net/minecraft/server/net/PlayerList.java b/src/main/java/net/minecraft/server/net/PlayerList.java
index b713dbbbd..e90b83e9c 100644
--- a/src/main/java/net/minecraft/server/net/PlayerList.java
+++ b/src/main/java/net/minecraft/server/net/PlayerList.java
@@ -2,14 +2,14 @@ package net.minecraft.server.net;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.achievement.Achievements;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.UUIDHelper;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.server.entity.player.ServerPlayer;
-import net.minecraft.server.net.handler.LoginPacketHandler;
+import net.minecraft.server.entity.player.PlayerServer;
+import net.minecraft.server.net.handler.PacketHandlerLogin;
 import net.minecraft.core.net.packet.*;
 import net.minecraft.server.player.PlayerManager;
 import net.minecraft.server.world.ServerPlayerController;
@@ -31,7 +31,7 @@ import java.util.concurrent.atomic.AtomicInteger;
 public class PlayerList
 {
     public static Logger logger = LogUtils.getLogger();
-    public List<ServerPlayer> playerEntities;
+    public List<PlayerServer> playerEntities;
     private final MinecraftServer server;
     private final Map<Integer, PlayerManager> playerManagers;
     private final Set<UUID> bans;
@@ -108,7 +108,7 @@ public class PlayerList
         playerIo = worldServerMap.get(0).getSaveHandler().getPlayerFileData();
     }
 
-    public void syncPlayerDimension(ServerPlayer player)
+    public void syncPlayerDimension(PlayerServer player)
     {
         for (PlayerManager playerManager : playerManagers.values()) {
             playerManager.removePlayer(player);
@@ -128,12 +128,12 @@ public class PlayerList
         return playerManagers.get(dim);
     }
 
-    public void load(ServerPlayer player)
+    public void load(PlayerServer player)
     {
         playerIo.load(player);
     }
 
-    public void playerLoggedIn(ServerPlayer player)
+    public void playerLoggedIn(PlayerServer player)
     {
         playerEntities.add(player);
         player.playerNetServerHandler.handleSendInitialPlayerList();
@@ -152,12 +152,12 @@ public class PlayerList
         getPlayerManager(player.dimension).addPlayer(player);
     }
 
-    public void onPlayerMoved(ServerPlayer player)
+    public void onPlayerMoved(PlayerServer player)
     {
         getPlayerManager(player.dimension).onPlayerMoved(player);
     }
 
-    public void playerLoggedOut(ServerPlayer entityplayermp)
+    public void playerLoggedOut(PlayerServer entityplayermp)
     {
         playerIo.save(entityplayermp);
         server.getDimensionWorld(entityplayermp.dimension).setEntityDead(entityplayermp);
@@ -165,7 +165,7 @@ public class PlayerList
         getPlayerManager(entityplayermp.dimension).removePlayer(entityplayermp);
     }
 
-    public ServerPlayer getPlayerForLogin(LoginPacketHandler handler, String username, UUID uuid)
+    public PlayerServer getPlayerForLogin(PacketHandlerLogin handler, String username, UUID uuid)
     {
         if (bans.contains(uuid))
         {
@@ -190,17 +190,17 @@ public class PlayerList
             handler.kickUser("The server is full!");
             return null;
         }
-        List<ServerPlayer> playerListCopy = new ArrayList<>(playerEntities);
-        for (ServerPlayer player : playerListCopy) {
+        List<PlayerServer> playerListCopy = new ArrayList<>(playerEntities);
+        for (PlayerServer player : playerListCopy) {
             if (player.username.equalsIgnoreCase(username) || player.uuid.equals(uuid)) {
                 player.playerNetServerHandler.kickPlayer("You are logged in from another location!");
             }
         }
 
-        return new ServerPlayer(server, server.getDimensionWorld(0), username, uuid, new ServerPlayerController(server.getDimensionWorld(0)));
+        return new PlayerServer(server, server.getDimensionWorld(0), username, uuid, new ServerPlayerController(server.getDimensionWorld(0)));
     }
 
-    public ServerPlayer recreatePlayerEntity(ServerPlayer previousPlayer, int i)
+    public PlayerServer recreatePlayerEntity(PlayerServer previousPlayer, int i)
     {
         server.getEntityTracker(previousPlayer.dimension).removeTrackedPlayerSymmetric(previousPlayer);
         server.getEntityTracker(previousPlayer.dimension).untrackEntity(previousPlayer);
@@ -209,7 +209,7 @@ public class PlayerList
         server.getDimensionWorld(previousPlayer.dimension).removePlayer(previousPlayer);
         ChunkCoordinates chunkcoordinates = previousPlayer.getPlayerSpawnCoordinate();
         previousPlayer.dimension = i;
-        ServerPlayer newPlayer = new ServerPlayer(server, server.getDimensionWorld(previousPlayer.dimension), previousPlayer.username, previousPlayer.uuid, new ServerPlayerController(server.getDimensionWorld(previousPlayer.dimension)));
+        PlayerServer newPlayer = new PlayerServer(server, server.getDimensionWorld(previousPlayer.dimension), previousPlayer.username, previousPlayer.uuid, new ServerPlayerController(server.getDimensionWorld(previousPlayer.dimension)));
         newPlayer.id = previousPlayer.id;
         newPlayer.chatColor = previousPlayer.chatColor;
         newPlayer.nickname = previousPlayer.nickname;
@@ -248,58 +248,58 @@ public class PlayerList
         return newPlayer;
     }
 
-    public void sendPlayerToOtherDimension(ServerPlayer serverPlayer, int targetDim, DyeColor portalColor, boolean generatePortal)
+    public void sendPlayerToOtherDimension(PlayerServer playerServer, int targetDim, DyeColor portalColor, boolean generatePortal)
     {
-        WorldServer worldserver = server.getDimensionWorld(serverPlayer.dimension);
-        Dimension lastDim = Dimension.getDimensionList().get(serverPlayer.dimension);
+        WorldServer worldserver = server.getDimensionWorld(playerServer.dimension);
+        Dimension lastDim = Dimension.getDimensionList().get(playerServer.dimension);
         Dimension newDim = Dimension.getDimensionList().get(targetDim);
 
-        serverPlayer.dimension = targetDim;
-        WorldServer worldserver1 = server.getDimensionWorld(serverPlayer.dimension);
-        serverPlayer.playerNetServerHandler.sendPacket(new RespawnPacket((byte) serverPlayer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver1.worldType)));
-        worldserver.removePlayer(serverPlayer);
-        serverPlayer.removed = false;
-        double x = serverPlayer.x;
-        double y = serverPlayer.y;
-        double z = serverPlayer.z;
+        playerServer.dimension = targetDim;
+        WorldServer worldserver1 = server.getDimensionWorld(playerServer.dimension);
+        playerServer.playerNetServerHandler.sendPacket(new RespawnPacket((byte) playerServer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver1.worldType)));
+        worldserver.removePlayer(playerServer);
+        playerServer.removed = false;
+        double x = playerServer.x;
+        double y = playerServer.y;
+        double z = playerServer.z;
 
         x *= Dimension.getCoordScale(lastDim, newDim);
         z *= Dimension.getCoordScale(lastDim, newDim);
-        serverPlayer.teleport(x, y, z, serverPlayer.yRot, serverPlayer.xRot);
+        playerServer.teleport(x, y, z, playerServer.yRot, playerServer.xRot);
         ChunkCoordinates newCoordinates = new ChunkCoordinates(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
-        if (serverPlayer.dimensionEnterCoordinate != null) {
-            double dx = serverPlayer.dimensionEnterCoordinate.x - x;
-            double dy = serverPlayer.dimensionEnterCoordinate.y - y;
-            double dz = serverPlayer.dimensionEnterCoordinate.z - z;
+        if (playerServer.dimensionEnterCoordinate != null) {
+            double dx = playerServer.dimensionEnterCoordinate.x - x;
+            double dy = playerServer.dimensionEnterCoordinate.y - y;
+            double dz = playerServer.dimensionEnterCoordinate.z - z;
             double distSqr = (dx * dx) + (dy * dy) + (dz * dz);
             if (distSqr > 8000 * 8000) {
-                serverPlayer.addStat(Achievements.FAST_TRAVEL, 1);
+                playerServer.addStat(Achievements.FAST_TRAVEL, 1);
             }
         }
-        serverPlayer.dimensionEnterCoordinate = newCoordinates;
-        if (serverPlayer.isAlive())
+        playerServer.dimensionEnterCoordinate = newCoordinates;
+        if (playerServer.isAlive())
         {
-            worldserver.updateEntityWithOptionalForce(serverPlayer, false);
+            worldserver.updateEntityWithOptionalForce(playerServer, false);
         }
 
-        if (serverPlayer.isAlive())
+        if (playerServer.isAlive())
         {
-            worldserver1.entityJoinedWorld(serverPlayer);
-            serverPlayer.teleport(x, serverPlayer.y, z, serverPlayer.yRot, serverPlayer.xRot);
-            worldserver1.updateEntityWithOptionalForce(serverPlayer, false);
+            worldserver1.entityJoinedWorld(playerServer);
+            playerServer.teleport(x, playerServer.y, z, playerServer.yRot, playerServer.xRot);
+            worldserver1.updateEntityWithOptionalForce(playerServer, false);
             if (generatePortal){
                 worldserver1.chunkProviderServer.chunkLoadOverride = true;
-                (new PortalHandler()).teleportEntity(worldserver1, serverPlayer, portalColor, lastDim, newDim);
+                (new PortalHandler()).teleportEntity(worldserver1, playerServer, portalColor, lastDim, newDim);
                 worldserver1.chunkProviderServer.chunkLoadOverride = false;
             }
         }
-        syncPlayerDimension(serverPlayer);
-        serverPlayer.playerNetServerHandler.teleportAndRotate(serverPlayer.x, serverPlayer.y, serverPlayer.z, serverPlayer.yRot, serverPlayer.xRot);
-        server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(serverPlayer.id, serverPlayer.gamemode.getId()));
-        serverPlayer.setWorld(worldserver1);
-        setTime(serverPlayer, worldserver1);
-        initializePlayerObject(serverPlayer);
-        serverPlayer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
+        syncPlayerDimension(playerServer);
+        playerServer.playerNetServerHandler.teleportAndRotate(playerServer.x, playerServer.y, playerServer.z, playerServer.yRot, playerServer.xRot);
+        server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(playerServer.id, playerServer.gamemode.getId()));
+        playerServer.setWorld(worldserver1);
+        setTime(playerServer, worldserver1);
+        initializePlayerObject(playerServer);
+        playerServer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
     }
 
     public void onTick()
@@ -316,7 +316,7 @@ public class PlayerList
 
     public void sendPacketToAllPlayers(Packet packet)
     {
-        for (ServerPlayer player : playerEntities) {
+        for (PlayerServer player : playerEntities) {
             player.playerNetServerHandler.sendPacket(packet);
         }
 
@@ -324,7 +324,7 @@ public class PlayerList
 
     public void sendEncryptedChatToAllPlayers(String message)
     {
-        for (ServerPlayer player : playerEntities) {
+        for (PlayerServer player : playerEntities) {
             player.playerNetServerHandler.sendPacket(new ChatPacket(message, 0, AES.keyChain.get(player.username)));
         }
 
@@ -332,7 +332,7 @@ public class PlayerList
 
     public void sendPacketToAllPlayersInDimension(Packet packet, int i)
     {
-        for (ServerPlayer player : playerEntities) {
+        for (PlayerServer player : playerEntities) {
             if (player.dimension == i) {
                 player.playerNetServerHandler.sendPacket(packet);
             }
@@ -576,9 +576,9 @@ public class PlayerList
         return ops.contains(uuid);
     }
     @Nullable
-    public ServerPlayer getPlayerEntity(String s)
+    public PlayerServer getPlayerEntity(String s)
     {
-        for (ServerPlayer player : playerEntities) {
+        for (PlayerServer player : playerEntities) {
             if (player.username.equalsIgnoreCase(s)) {
                 return player;
             }
@@ -589,7 +589,7 @@ public class PlayerList
 
     public void sendChatMessageToPlayer(String s, String s1)
     {
-        ServerPlayer player = getPlayerEntity(s);
+        PlayerServer player = getPlayerEntity(s);
         if (player != null)
         {
             player.playerNetServerHandler.sendPacket(new ChatPacket(s1));
@@ -604,7 +604,7 @@ public class PlayerList
     public void sendPacketToOtherPlayersAroundPoint(Player player, double x, double y, double z,
                                                     double radius, int dimension, Packet packet)
     {
-        for (ServerPlayer otherPlayer : playerEntities) {
+        for (PlayerServer otherPlayer : playerEntities) {
             if (otherPlayer == player || otherPlayer.dimension != dimension) {
                 continue;
             }
@@ -621,7 +621,7 @@ public class PlayerList
     public void sendChatMessageToAllOps(String s)
     {
         ChatPacket chatPacket = new ChatPacket(s);
-        for (ServerPlayer player : playerEntities) {
+        for (PlayerServer player : playerEntities) {
             if (isOp(player.uuid)) {
                 player.playerNetServerHandler.sendPacket(chatPacket);
             }
@@ -631,7 +631,7 @@ public class PlayerList
 
     public boolean sendPacketToPlayer(String s, Packet packet)
     {
-        ServerPlayer player = getPlayerEntity(s);
+        PlayerServer player = getPlayerEntity(s);
         if (player != null)
         {
             player.playerNetServerHandler.sendPacket(packet);
@@ -645,13 +645,13 @@ public class PlayerList
 
     public void savePlayerStates()
     {
-        for (ServerPlayer playerEntity : playerEntities) {
+        for (PlayerServer playerEntity : playerEntities) {
             playerIo.save(playerEntity);
         }
 
     }
 
-    public void sendBlockEntityToPlayer(int x, int y, int z, int dimension, BlockEntity blockEntity)
+    public void sendBlockEntityToPlayer(int x, int y, int z, int dimension, TileEntity tileEntity)
     {
         getPlayerManager(dimension).markBlockNeedsUpdate(x, y, z);
     }
@@ -678,7 +678,7 @@ public class PlayerList
         loadWhiteList();
     }
 
-    public void setTime(ServerPlayer player, WorldServer worldserver)
+    public void setTime(PlayerServer player, WorldServer worldserver)
     {
         player.playerNetServerHandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
 //        if(worldserver.func_27068_v())
@@ -687,7 +687,7 @@ public class PlayerList
 //        }
     }
 
-    public void initializePlayerObject(ServerPlayer player)
+    public void initializePlayerObject(PlayerServer player)
     {
         player.initializeCraftingInventory(player.inventorySlots);
         player.initializeLastFieldValues();
diff --git a/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java b/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
index 17d60c366..e914ac39c 100644
--- a/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
+++ b/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
@@ -9,7 +9,7 @@ import net.minecraft.core.util.helper.LoggedPrintStream;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import org.jetbrains.annotations.Nullable;
 import org.slf4j.Logger;
 
@@ -97,9 +97,9 @@ public class ConsoleCommandSource implements CommandSource, IServerCommandSource
 
     @Override
     public void movePlayerToDimension(Player player, int dimension) {
-        if (player instanceof ServerPlayer)
-            this.server.playerList.sendPlayerToOtherDimension((ServerPlayer) player, dimension, null, false);
-        else throw new IllegalStateException("Player is not an instance of ServerPlayer");
+        if (player instanceof PlayerServer)
+            this.server.playerList.sendPlayerToOtherDimension((PlayerServer) player, dimension, null, false);
+        else throw new IllegalStateException("Player is not an instance of PlayerServer");
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java b/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
index 57d568ea1..256483608 100644
--- a/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
+++ b/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
@@ -8,7 +8,7 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import org.jetbrains.annotations.NotNull;
 
 import java.util.ArrayList;
@@ -17,9 +17,9 @@ import java.util.List;
 
 public class ServerCommandSource implements CommandSource, IServerCommandSource {
     public final MinecraftServer server;
-    public final ServerPlayer player;
+    public final PlayerServer player;
 
-    public ServerCommandSource(MinecraftServer server, ServerPlayer player) {
+    public ServerCommandSource(MinecraftServer server, PlayerServer player) {
         this.server = server;
         this.player = player;
     }
@@ -98,9 +98,9 @@ public class ServerCommandSource implements CommandSource, IServerCommandSource
 
     @Override
     public void movePlayerToDimension(Player player, int dimension) {
-        if (player instanceof ServerPlayer)
-            this.server.playerList.sendPlayerToOtherDimension((ServerPlayer) player, dimension, null, false);
-        else throw new IllegalStateException("Player is not an instance of ServerPlayer");
+        if (player instanceof PlayerServer)
+            this.server.playerList.sendPlayerToOtherDimension((PlayerServer) player, dimension, null, false);
+        else throw new IllegalStateException("Player is not an instance of PlayerServer");
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/server/net/command/commands/BanCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandBan.java
similarity index 95%
rename from src/main/java/net/minecraft/server/net/command/commands/BanCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandBan.java
index 02a749722..a34ac08b1 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/BanCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandBan.java
@@ -11,10 +11,10 @@ import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.util.helper.UUIDHelper;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.command.IServerCommandSource;
 
-public class BanCommand {
+public class CommandBan {
     private static final DynamicCommandExceptionType FAILURE =
         new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.ban.exception_failure", arg));
 
@@ -32,7 +32,7 @@ public class BanCommand {
 
 //                        String senderName = c.getSource().getName();
                         String nameToBan = c.getArgument("name", String.class);
-                        ServerPlayer player = server.playerList.getPlayerEntity(nameToBan);
+                        PlayerServer player = server.playerList.getPlayerEntity(nameToBan);
                         if(player != null) {
                             server.playerList.banPlayer(player.uuid);
 //                            sendNoticeToOps(senderName, "Banning " + nameToBan);
@@ -63,7 +63,7 @@ public class BanCommand {
 
 //                        sendNoticeToOps(senderName, "Banning ip " + ip);
                         c.getSource().sendTranslatableMessage("command.commands.ban.ip.success", ip);
-//                        ServerPlayer player = server.playerList.getPlayerEntity(ip);
+//                        PlayerServer player = server.playerList.getPlayerEntity(ip);
 //                        if(player != null)
 //                        {
 //                            player.playerNetServerHandler.kickPlayer("Banned by admin");
